Jump to content
Sengna

Change Lower case to upper case MLD text??

Recommended Posts

Sengna

Is it possible to change the multileader text from Lower case to upper case all at once? rather change one by one. Thanks

Share this post


Link to post
Share on other sites
Dana W

Sounds like a lisp to me. The nearest alternative I can find is to select all of them, then open properties and click on the edit button in the text contents line. The Mtext editor will then cycle through all of them, but you will still have to highlight each text and change them manually. I was hoping matchprop would do it, but it does not.

Share this post


Link to post
Share on other sites
Sengna
Sounds like a lisp to me. The nearest alternative I can find is to select all of them, then open properties and click on the edit button in the text contents line. The Mtext editor will then cycle through all of them, but you will still have to highlight each text and change them manually. I was hoping matchprop would do it, but it does not.

Yeah, i have to change one by one which was a pain, Match Prop won''t work for 2014 Autocad Version. I double click on the MLD text hightlight and right click--- Change case to UPPER. hope Lee mac can develope Lisp to help with this.

Share this post


Link to post
Share on other sites
Dana W
Yeah, i have to change one by one which was a pain, Match Prop won''t work for 2014 Autocad Version. I double click on the MLD text hightlight and right click--- Change case to UPPER. hope Lee mac can develope Lisp to help with this.
Yeah, but if you do it my way for the time being, it will at least automatically open the mtext editor for you at each one. one would think AutoDesk would attach a case change macro or something to the contents box on the properties dialog.

 

If they are all the same word, you can do it with Find/Replace all at once.

Share this post


Link to post
Share on other sites
BIGAL

(strcase text) in lisp just need a few minutes to mod one

 

Ok done now

 

(defun caps ( / ss len x objtext)
(vl-load-com)
(setq ss  (ssget "X" (list (cons 0 "Mtext,text"))))
(setq x 0)
(setq len (sslength ss))
(repeat len
(setq ent (ssname ss x))
(setq objtext (vlax-ename->vla-object ent))
(vla-put-textstring objtext (strcase (vla-get-textstring objtext)))
(setq x (+ x 1))
)

(caps)

Edited by BIGAL

Share this post


Link to post
Share on other sites
Sengna
(strcase text) in lisp just need a few minutes to mod one I have but a bit busy at moment.

 

(defun caps ( / ss len x objtext)
(vl-load-com)
(setq ss (ssget "X" (list (cons 0 "Mtext,text"))))
(setq x 0)
(setq len (sslength ss))
(repeat len
(setq ent (ssname ss x))
(setq objtext (vlax-ename->vla-object ent))
(vla-put-textstring objtext (strcase (vla-get-textstring objtext)))
(setq x (+ x 1))
)

(caps)

Should i just type these code to the command prompt Bigal??? or just strcase??

Share this post


Link to post
Share on other sites
Dana W
Should i just type these code to the command prompt Bigal??? or just strcase??
Hang on, he's gotta modify this one a little.

Share this post


Link to post
Share on other sites
BIGAL

Sorry thats the code copy it all to Notepad and save as a .lsp file use Appload to run.

 

Post updated above

Share this post


Link to post
Share on other sites
Sengna
Sorry thats the code copy it all to Notepad and save as a .lsp file use Appload to run.

 

Post updated above

 

I know how to save these code on notepad but how do i upload it? do you have a screenshot.? thanks

Share this post


Link to post
Share on other sites
ReMark

I'm sure this has been covered before in one of your threads. Use the APPLOAD command to load the lisp routine into AutoCAD then type "caps" to start it.

Share this post


Link to post
Share on other sites
BIGAL

Segna 399 posts is it you or is someone else using your name ? Should know about appload.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×